Loading...
Searching...
No Matches
queue_spsc_locked.h File Reference
`#include "platform.h"`
`#include "function.h"`
`#include "integral_limits.h"`
`#include "memory.h"`
`#include "memory_model.h"`
`#include "parameter_type.h"`
`#include "placement_new.h"`
`#include "utility.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes

class | etl::queue_spsc_locked_exception
class | etl::queue_spsc_locked_empty
class | etl::iqueue_spsc_locked_base< MEMORY_MODEL >
class | etl::iqueue_spsc_locked< T, MEMORY_MODEL >
| This is the base for all queue_spsc_locked that contain a particular type. More...
class | etl::queue_spsc_locked< T, SIZE, MEMORY_MODEL >

## Namespaces

namespace | etl

## Variables

template<typename T, size_t SIZE, const size_t MEMORY_MODEL>
ETL_CONSTANT queue_spsc_locked< T, SIZE, MEMORY_MODEL >::size_type | etl::queue_spsc_locked< T, SIZE, MEMORY_MODEL >::MAX_SIZE